Skip to content

Notifications

CompozyOS Notifications HTTP endpoints.

For people running agent work34 pages in this section
GET/api/notifications/attention

Query Parameters

receipt_profile?string

Profile owning acknowledgement receipts, including aggregate reads

workspace?string

Home workspace scope; empty selects global tasks

profile?string

Read one profile's rows by name

all_profiles?boolean

Read the owner-labeled all-profiles aggregate

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/notifications/attention"
{  "finished": 0,  "items": [    {      "agent_name": "string",      "badge": "string",      "detail": "string",      "finished": true,      "generation": 0,      "id": "string",      "item_index": 0,      "kind": "string",      "loop_name": "string",      "node_id": "string",      "occurred_at": "2019-08-24T14:15:22Z",      "redacted": true,      "request_kind": "string",      "run_id": "string",      "source_id": "string",      "terminal_id": "string",      "title": "string",      "workspace_id": "string",      "workspace_label": "string"    }  ],  "needs_you": 0,  "snapshot": "string",  "total": 0}
POST/api/notifications/attention/acknowledge

Query Parameters

receipt_profile?string

Profile owning acknowledgement receipts, including aggregate reads

workspace?string

Home workspace scope; empty selects global tasks

profile?string

Read one profile's rows by name

all_profiles?boolean

Read the owner-labeled all-profiles aggregate

surface?string

Snapshot owner (default bell)

Value in

  • "bell"
  • "home"

Request Body

application/json

JSON request body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/notifications/attention/acknowledge" \  -H "Content-Type: application/json" \  -d '{    "snapshot": "string"  }'
Empty
GET/api/notifications/presets

Query Parameters

profile?string

Profile whose effective enablement state is returned

enabled?boolean

Filter by enabled state

built_in?boolean

Filter by built-in state

name?string

Filter by exact preset name

limit?integer

Maximum number of presets to return

Formatint32

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/notifications/presets"
{  "generated_at": "2019-08-24T14:15:22Z",  "presets": [    {      "built_in": true,      "created_at": "2019-08-24T14:15:22Z",      "default_hash": "string",      "default_update_available": true,      "default_version": "string",      "enabled": true,      "events": [        "string"      ],      "filter": "string",      "name": "string",      "profile": "string",      "targets": [        {          "bridge_id": "string",          "canonical_route": "string",          "delivery_mode": "string",          "display_name": "string"        }      ],      "updated_at": "2019-08-24T14:15:22Z",      "user_modified": true    }  ],  "total": 0}
POST/api/notifications/presets

Query Parameters

profile?string

Profile whose effective state is returned

Request Body

application/json

JSON request body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/notifications/presets" \  -H "Content-Type: application/json" \  -d '{    "events": [      "string"    ],    "name": "string",    "targets": [      {        "bridge_id": "string"      }    ]  }'
{  "preset": {    "built_in": true,    "created_at": "2019-08-24T14:15:22Z",    "default_hash": "string",    "default_update_available": true,    "default_version": "string",    "enabled": true,    "events": [      "string"    ],    "filter": "string",    "name": "string",    "profile": "string",    "targets": [      {        "bridge_id": "string",        "canonical_route": "string",        "delivery_mode": "string",        "display_name": "string"      }    ],    "updated_at": "2019-08-24T14:15:22Z",    "user_modified": true  }}
GET/api/notifications/presets/{name}

Path Parameters

name*string

Notification preset name

Query Parameters

profile?string

Profile whose effective state is returned

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/notifications/presets/string"
{  "preset": {    "built_in": true,    "created_at": "2019-08-24T14:15:22Z",    "default_hash": "string",    "default_update_available": true,    "default_version": "string",    "enabled": true,    "events": [      "string"    ],    "filter": "string",    "name": "string",    "profile": "string",    "targets": [      {        "bridge_id": "string",        "canonical_route": "string",        "delivery_mode": "string",        "display_name": "string"      }    ],    "updated_at": "2019-08-24T14:15:22Z",    "user_modified": true  }}
DELETE/api/notifications/presets/{name}

Path Parameters

name*string

Notification preset name

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/notifications/presets/string"
Empty
PUT/api/notifications/presets/{name}

Path Parameters

name*string

Notification preset name

Query Parameters

profile?string

Profile whose effective state is returned

Request Body

application/json

JSON request body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/notifications/presets/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "preset": {    "built_in": true,    "created_at": "2019-08-24T14:15:22Z",    "default_hash": "string",    "default_update_available": true,    "default_version": "string",    "enabled": true,    "events": [      "string"    ],    "filter": "string",    "name": "string",    "profile": "string",    "targets": [      {        "bridge_id": "string",        "canonical_route": "string",        "delivery_mode": "string",        "display_name": "string"      }    ],    "updated_at": "2019-08-24T14:15:22Z",    "user_modified": true  }}
PUT/api/notifications/presets/{name}/enablement

Path Parameters

name*string

Notification preset name

Request Body

application/json

JSON request body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/notifications/presets/string/enablement" \  -H "Content-Type: application/json" \  -d '{    "enabled": true,    "profile": "string"  }'
{  "enabled": true,  "name": "string",  "profile": "string"}